rte_pmd_cnxk_eventdev.h(3)

NAME
rte_pmd_cnxk_eventdev.h

SYNOPSIS

#include <rte_common.h>
#include <rte_compat.h>

  Functions

__rte_experimental void rte_pmd_cnxk_eventdev_wait_head (uint8_t dev, uint8_t port)
__rte_experimental uint8_t rte_pmd_cnxk_eventdev_is_head (uint8_t dev, uint8_t port)

Detailed Description

Marvell CNXK eventdev PMD specific functions.

Definition in file rte_pmd_cnxk_eventdev.h.

Function Documentation

  __rte_experimental void rte_pmd_cnxk_eventdev_wait_head (uint8_t dev, uint8_t port)
Wait for the currently active flow context on the event port to become HEAD of the flow-chain.

Parameters
    dev Event device identifier.
    port Event port identifier.

  __rte_experimental uint8_t rte_pmd_cnxk_eventdev_is_head (uint8_t dev, uint8_t port)
Check if the currently active flow context on the event port is the HEAD of the flow-chain.

Parameters
    dev Event device identifier.
    port Event port identifier.

Returns
    Status of the currently held flow context 0 not the head of the flow-chain 1 head of the flow-chain

Author

Generated automatically by Doxygen for DPDK from the source code.